:root {
  --color-main: #00e1fe;
  --color-main-transparent: #00e2ff44;
}

* {
  margin: 0;
  padding: 0;
}

a {
  text-decoration: none;
  color: inherit;
}

body {
  background: url("img/background.webp") no-repeat center;
  background-size: cover;
  color: #eee;
  font-family: "Oxanium";
  margin: auto;
  min-height: 100vh;
}

.header-small {
  background: linear-gradient(180deg, #0005 80%, transparent);
  padding-bottom: 10px;
}

.header-small-wrapper {
  display: flex;
  justify-content: space-between;
  align-items: center;
  gap: 0 10px;
  max-width: 1280px;
  padding: 20px 10px;
  margin: auto;
  height: 82px;
  box-sizing: border-box;
}

.header-left {
  display: inline-flex;
  gap: 0 20px;
  align-items: center;
}

.header-logo h1 {
  text-align: center;
  font-weight: 500;
  text-shadow: 0 0 10px #0003;
  font-size: 2rem;
  line-height: 1;
}

.header-left h2 {
  text-transform: capitalize;
}

@media (max-width: 600px) {
  .header-left h2 {
    font-size: 1.15rem;
  }
}

.header-logo-accent {
  color: var(--color-main);
  font-weight: 600;
}

.header-divider {
  width: 1px;
  background: #777;
  align-self: stretch;
}

@media (max-width: 600px) {
  .header-logo h1 {
    font-size: 1.5rem;
  }
}

.info {
  color: #a1a3af;
  font-size: 1.2rem;
  font-weight: 600;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-shrink: 0;
  border: 1px solid #a1a3af44;
  border-radius: 3rem;
  width: 2.5rem;
  height: 2.5rem;
  transition: 0.3s all;
  cursor: pointer;
}

.info:hover {
  color: #eee;
  border: 1px solid #eee6;
  background: #a1a3af11;
}

.info > span {
  position: relative;
  top: 2px;
}

.brackets-menu {
  height: 80px;
  display: flex;
  gap: 20px;
  margin-top: 10px;
  padding: 0 10px;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
  align-content: center;
  line-height: 1;
  background: #0002;
  backdrop-filter: blur(5px);
  border-bottom: 1px solid #fff1;
}

@media (max-width: 480px) {
  .brackets-menu {
    gap: 10px 15px;
  }
}

.brackets-menu a {
  color: #aaa;
  font-size: 1.5rem;
  font-weight: 600;
  transition: 0.3s color;
}

.brackets-menu a.disabled {
  cursor: not-allowed;
  opacity: 0.5;
}

@media (max-width: 880px) {
  .brackets-menu a {
    font-size: 1.2rem;
  }
}

@media (max-width: 480px) {
  .brackets-menu a {
    font-size: 0.9rem;
  }
}

.brackets-menu a:not(.disabled):hover {
  color: #eee;
}

.brackets-menu a.active,
.brackets-menu a.active:hover {
  color: #00e5ff;
}

main {
  max-width: 1280px;
}

.tournament-grid {
  display: grid;
  gap: 24px;
  padding: 20px;
  margin: auto;
  grid-template-columns: repeat(auto-fit, minmax(320px, 1fr));
}

.activity-card::before {
  content: "";
  position: absolute;
  inset: 0;

  background: linear-gradient(
    180deg,
    rgba(0,0,0,0.02) 20%,
    rgba(0,0,0,0.8)
  );

  z-index: 0;
  transition: all .3s;
}

.activity-card * {
  position: relative;
  z-index: 1;
}

.activity-card {
  position: relative;
  min-height: 280px;
  padding: 20px;
  border-radius: 14px;
  overflow: hidden;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  background-size: cover;
  background-position: center;
}

.activity-card:hover {
  box-shadow: 0 0 15px #0003;
}

.activity-card:hover .activity-card-desc {
  max-height: 45px;
  opacity: 1;
}

.activity-card-date {
    font-size: 0.8rem;
    font-weight: 500;
    width: fit-content;
    padding: 8px 8px 3px 8px;
    border-radius: 5px;
    backdrop-filter: blur(5px) brightness(0.75);
    line-height: 1;
}

.activity-card-title {
  font-size: 2.2rem;
  line-height: 1.1;
  letter-spacing: 0.03em;
  text-shadow: 0 2px 6px rgba(0,0,0,0.8);
}

.activity-card-desc {
  max-width: 32ch;
  margin-top: 14px;
  font-size: 1.1rem;
  text-shadow: 0 2px 6px rgba(0,0,0,0.8);
  max-height: 0;
  overflow: hidden;
  transition: all 0.55s cubic-bezier(0.25, 0.8, 0.25, 1);
  opacity: 0;
}

@media (max-width: 600px) {
  .activity-card-title {
    font-size: 2rem;
  }

  .activity-card > p {
    font-size: 1.1rem;
  }
}

@media (max-width: 480px) {
  .activity-card-title {
    font-size: 1.7rem;
  }

  .activity-card > p {
    font-size: 1rem;
  }
}

.activity-card-footer {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-top: 12px;
  border-top: 1px solid #fff1;
  padding-top: 12px;
}

.status {
  font-size: 14px;
  padding: 4px 10px;
  border-radius: 6px;
  font-weight: 500;
  text-shadow: 0 0 5px #000;
  color: #fff;
}

.status-in-progress {
  background: #00aec8;
}

.status-finished {
  background: #03ad2f;
}

.activity-card-button {
  text-decoration: none;
  background: #fff;
  color: black;
  padding: 8px 14px;
  border-radius: 6px;
  font-weight: 600;

  transition: background 0.2s;
}

.activity-card-button:hover {
  background: #ddd;
  box-shadow: 0 0 1px #ddd;
}

.location-tournament {
  background-image: url("img/card-bg/location.webp");
}
.most-charming-character-tournament {
  background-image: url("img/card-bg/most-charming-character.webp");
}
.most-charming-machine-tournament {
  background-image: url("img/card-bg/most-charming-machine.webp");
}
.most-hated-machine-tournament {
  background-image: url("img/card-bg/most-hated-machine.webp");
}
.most-loved-machine-tournament {
  background-image: url("img/card-bg/most-loved-machine.webp");
}
.outfit-tournament {
  background-image: url("img/card-bg/outfit.webp");
}
.strongest-machine-tournament {
  background-image: url("img/card-bg/machine.webp");
}
.strongest-character-tournament {
  background-image: url("img/card-bg/strongest-character.webp");
}

.modal {
  position: fixed;
  inset: 0;
  z-index: 9999;
  display: flex;
  align-items: center;
  justify-content: center;
}

.modal.hidden {
  display: none;
}

.modal-backdrop {
  position: absolute;
  inset: 0;
  background: rgba(0, 0, 0, 0.3);
  backdrop-filter: blur(10px);
}

.modal-box {
  position: relative;
  max-width: 600px;
  margin: 10px;
  padding: 24px;
  background: #111;
  border-radius: 12px;
  color: #fff;
  box-shadow: 0 0 20px #0004;
  border: 1px solid #fff1;
}

.modal-box h3 {
  margin-bottom: 10px;
}

.modal-box > p, ul {
  color: #ccc;
  margin-bottom: 10px;
  line-height: 1.5rem;
}

.modal-box p a {
  color: #eee;
  border-bottom: 1px solid;
  transition: 0.3s all;
}

.modal-box p a:hover {
  border-bottom: 1px solid var(--color-main);
}

.modal-box p b {
  font-weight: 700;
  color: #eee;
}

.modal-box > ul {
  margin-left: 1rem;
}

.modal-close {
  position: absolute;
  top: 12px;
  right: 16px;
  background: none;
  border: none;
  color: #ccc;
  font-size: 24px;
  cursor: pointer;
  background: #282828;
  width: 32px;
  height: 32px;
  border-radius: 6px;
  display: flex;
  justify-content: center;
  align-items: center;
  transition: 0.3s all;
}

.modal-close:hover {
  color: #fff;
  background: #404040;
}
